=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2006-05-01 23:22:06 +0000
+++ bzrlib/builtins.py	2006-05-04 05:02:55 +0000
@@ -1006,11 +1006,11 @@
 
         if diff_prefix:
             if not ':' in diff_prefix:
-                 raise BzrError("--diff-prefix expects two values separated by a colon")            
-            old_label,new_label=diff_prefix.split(":")
+                 raise BzrError("--diff-prefix expects two values separated by a colon")
+            old_label, new_label = diff_prefix.split(":")
         else:
-            old_label='a/'
-            new_label='b/'
+            old_label = ''
+            new_label = ''
         
         try:
             tree1, file_list = internal_tree_files(file_list)

=== modified file 'bzrlib/tests/blackbox/test_diff.py'
--- bzrlib/tests/blackbox/test_diff.py	2006-04-13 05:51:35 +0000
+++ bzrlib/tests/blackbox/test_diff.py	2006-05-04 05:02:55 +0000
@@ -82,18 +82,18 @@
         output = self.run_bzr_captured(['diff', '-r', 'branch:branch2', 
                                         'branch1'],
                                        retcode=1)
-        self.assertEquals(("=== modified file 'a/file'\n"
-                           "--- a/file\t\n"
-                           "+++ b/file\t\n"
+        self.assertEquals(("=== modified file 'file'\n"
+                           "--- file\t\n"
+                           "+++ file\t\n"
                            "@@ -1,1 +1,1 @@\n"
                            "-new content\n"
                            "+contents of branch1/file\n"
                            "\n", ''), output)
         output = self.run_bzr_captured(['diff', 'branch2', 'branch1'],
                                        retcode=1)
-        self.assertEqualDiff(("=== modified file 'a/file'\n"
-                              "--- a/file\t\n"
-                              "+++ b/file\t\n"
+        self.assertEqualDiff(("=== modified file 'file'\n"
+                              "--- file\t\n"
+                              "+++ file\t\n"
                               "@@ -1,1 +1,1 @@\n"
                               "-new content\n"
                               "+contents of branch1/file\n"
@@ -144,23 +144,23 @@
         super(TestDiffLabels, self).make_example_branch()
         self.runbzr('remove hello')
         diff = self.run_bzr_captured(['diff'], retcode=1)
-        self.assertTrue("=== removed file 'a/hello'" in diff[0])
+        self.assertTrue("=== removed file 'hello'" in diff[0])
 
     def test_diff_label_added(self):
         super(TestDiffLabels, self).make_example_branch()
         file('barbar', 'wt').write('barbar')
         self.runbzr('add barbar')
         diff = self.run_bzr_captured(['diff'], retcode=1)
-        self.assertTrue("=== added file 'b/barbar'" in diff[0])
+        self.assertTrue("=== added file 'barbar'" in diff[0])
 
     def test_diff_label_modified(self):
         super(TestDiffLabels, self).make_example_branch()
         file('hello', 'wt').write('barbar')
         diff = self.run_bzr_captured(['diff'], retcode=1)
-        self.assertTrue("=== modified file 'a/hello'" in diff[0])
+        self.assertTrue("=== modified file 'hello'" in diff[0])
 
     def test_diff_label_renamed(self):
         super(TestDiffLabels, self).make_example_branch()
         self.runbzr('rename hello gruezi')
         diff = self.run_bzr_captured(['diff'], retcode=1)
-        self.assertTrue("=== renamed file 'a/hello' => 'b/gruezi'" in diff[0])
+        self.assertTrue("=== renamed file 'hello' => 'gruezi'" in diff[0])

